Subject: bug#3068 closed by Chong Yidong <[email-masked]> (Re: highlight-lines-matching-regexp doesn't work after reverting a buffer)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 23 Apr 2009 01:45:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3068: highlight-lines-matching-regexp doesn't work after reverting a buffer

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
3068: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3068
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: highlight-lines-matching-regexp doesn't work after reverting a buffer
From: Chong Yidong <[email-masked]>
To: Deniz Dogan <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>
Date: Wed, 22 Apr 2009 21:38:42 -0400

> highlight-lines-matching-regexp doesn't work as it should after having
> reverted a buffer.

I've checked in a fix.

(This is actually a manifestation of Bug#635, "Adding font-lock keywords
results in no font-lock at all".  I added a hack to hi-lock-mode to work
around this bug, and the hack can probably be reversed if/when 635 is
fixed.)

Subject: highlight-lines-matching-regexp doesn't work after reverting a buffer
From: Deniz Dogan <[email-masked]>
To: [email-masked]
Date: Tue, 21 Apr 2009 12:54:05 +0200

highlight-lines-matching-regexp doesn't work as it should after having
reverted a buffer.

Reproduction:
1. Open a text file with any relevant contents.
2. M-x highlight-lines-matching-regexp and highlight something in the file.
3. M-x revert-buffer RET yes RET
4. Now the highlighting is gone, which I can accept, however...
5. M-x highlight-lines-matching-regexp RET RET
6. Nothing is highlighted this second time!